<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item
         routerLink="/dashboard"
         [routerLinkActive]="['active']"
      >
        <mat-icon matListItemIcon>dashboard</mat-icon>
        Dashboard
      </a>

      <h2 matSubheader>Habitation</h2>
      <a mat-list-item
         routerLink="/housing/list"
         [routerLinkActive]="['active']"
      >
        <mat-icon matListItemIcon>storage</mat-icon>
        Habitations
      </a>
      <mat-divider></mat-divider>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>Location d'habitations</span>

      <!-- This fills the remaining space of the current row -->
      <span class="fill-remaining-space"></span>
      <button mat-button (click)="logout()">
        <mat-icon>logout</mat-icon>
      </button>
    </mat-toolbar>
    <!-- Add Content Here -->
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>
